Bug 490793 - CapsLock and Shift essentially same and both sticky
CapsLock and Shift essentially same and both sticky
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: iok (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 23:18 EDT by Jens Petersen
Modified: 2009-05-06 02:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 02:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-03-17 23:18:03 EDT
Description of problem:
The CapsLock and Shift keys seem to act almost the same in iok.
Shift should not be a sticky modifier.

Version-Release number of selected component (if applicable):
iok-1.3.2-2.fc11

Steps to Reproduce:
1. press Shift
2. press a (modified) key
3.
  
Actual results:
2. Shift remains sticky

Expected results:
2. Shift should be released after key press.

Additional info:
CapsLock is sticky so Shift does not need to be.
Comment 1 Parag Nemade 2009-03-17 23:36:10 EDT
Again, I will say iok is mainly developed for Indic m17n keymaps. If I will make Shift key as non-sticky, then how will user will know what will get printed when he press "shift + म" for Hindi keymap? 
For English keyboard its easy as pressing shift will show capital letter otherwise small letter. That is not case when it comes to m17n keymaps.
Comment 2 Parag Nemade 2009-03-17 23:52:41 EDT
Ok. will fix this as when Shift gets pressed we can show Shift key mappings in UI temporarily.
Comment 3 Parag Nemade 2009-03-20 01:05:47 EDT
Fixed in iok-1.3.3-1.fc11.i586

Note You need to log in before you can comment on or make changes to this bug.